<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.19
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-2.16.840.1.113883.2.4.6.10.70.19"><title/>
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.19)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']" id="tmp-dc573e13-fc90-4786-90b9-2ca5948d8c1e"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.19.html" test="@classCode='PRS' or not(@classCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.19): De waarde van @classCode MOET 'PRS' zijn.</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.19.html" test="@determinerCode='INSTANCE' or not(@determinerCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.19): @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.19.html" test="count(hl7:administrativeGenderCode)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.19): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.19.html" test="count(hl7:birthTime)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.19): element hl7:birthTime komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.19.html" test="count(hl7:birthplace)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.19): element hl7:birthplace komt te vaak voor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:templateId
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.19)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.19)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name" id="tmp-fa6dc5e5-8faa-4411-bffc-d05375dcfaed"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.19.html" test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.19): An @xsi:type instruction SHALL be present where the value is 'PN' or datatype SHALL be 'PN'</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:administrativeGenderCode
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.19)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:administrativeGenderCode" id="tmp-1e03cc60-8be6-45e3-99b8-d5f9d4d09ffb"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.19.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.19): An @xsi:type instruction SHALL be present where the value is 'CE' or datatype SHALL be 'CE'</assert><extends rule="CE"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('espoed-schematron-20120112T151209/espoed-runtime/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('espoed-schematron-20120112T151209/espoed-runtime/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.19.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP 2.16.840.1.113883.2.4.6.10.70.19): De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:birthTime
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.19)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:birthTime" id="tmp-7db0e520-acad-4214-a4a2-102cef7952ba"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.19.html" test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.19): An @xsi:type instruction SHALL be present where the value is 'TS' or datatype SHALL be 'TS'</assert><extends rule="TS"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:birthplace
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.19)
-->
</pattern>