<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.6
Description: Dit template wordt gebruikt voor diagnostische bepalingen (uitslagen). In deze template wordt de klasse observation ingevuld, samen met ReferenceRange en ObservationRange, zoals deze
                gebruikt moet worden bij uitslagen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-2.16.840.1.113883.2.4.6.10.70.6"><title/>
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation" id="tmp-084354e3-c28b-4d8a-aae6-3fc7e5e33d93"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@classCode='OBS' or not(@classCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @classCode MOET 'OBS' zijn.</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@moodCode='EVN' or not(@moodCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @moodCode MOET 'EVN' zijn.</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']/@nullFlavor)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'] is mandatory [min 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'] komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:id is mandatory [min 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:code is mandatory [min 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:code)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:code komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:text)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:text komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:effectiveTime)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:effectiveTime komt te vaak voor [max 1x].</assert><let name="elmcount" value="count(hl7:value[@xsi:type='PQ']|hl7:value[@xsi:type='IVL_PQ']|hl7:value[@xsi:type='CV']|hl7:value[@xsi:type='ST']|hl7:value[@xsi:type='TS']|hl7:value[@xsi:type='BL'])"/><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="$elmcount&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL']) bevat te veel elementen [max 1x]</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:author)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:author komt te vaak voor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']" id="tmp-ff19a131-5031-4338-b878-45bb6d507328"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@root='2.16.840.1.113883.2.4.6.10.70.6'">(TMP 2.16.840.1.113883.2.4.6.10.70.6): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.6' hebben.</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 2.16.840.1.113883.2.4.6.10.70.6): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:id
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:id" id="tmp-5a490240-41be-4da1-b845-51a4cc559e3a"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'II' or datatype SHALL be 'II'</assert><extends rule="II"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:code
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:code" id="tmp-466466e1-2803-4ed1-8658-d604bf64f3af"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'CD' or datatype SHALL be 'CD'</assert><extends rule="CD"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('espoed-schematron-20120112T151209/espoed-runtime/voc-Vraagtypes-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('espoed-schematron-20120112T151209/espoed-runtime/voc-Vraagtypes-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @code MOET worden gekozen uit Value Set Vraagtypes NHG HIS tabel 45 Vraagtypes versie 10 DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:text
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:text" id="tmp-7cdbb9ca-2a38-46e7-a8f6-2f17dd3866b7"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'ED' or datatype SHALL be 'ED'</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime" id="tmp-3ab26264-bd00-4a9a-aea3-d0031d0e98ce"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'IVL_TS' or datatype SHALL be 'IVL_TS'</assert><extends rule="IVL_TS"/><let name="theValue" value="@value"/><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:low is mandatory [min 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:low)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:low komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:high)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:high komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:center)=0">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:center MAY NOT be present </assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:width)=0">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:width MAY NOT be present </assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime/hl7:low" id="tmp-d5906dfb-55e4-4a0f-b057-6aa274d90d40"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'TS' or datatype SHALL be 'TS'</assert><extends rule="TS"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime/hl7:high" id="tmp-f373484c-f6d3-4d99-8c4c-24ccf69d5de2"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'TS' or datatype SHALL be 'TS'</assert><extends rule="TS"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime/hl7:center
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:effectiveTime/hl7:width
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation" id="tmp-c9e9949f-c9f2-4bc8-9c4b-268d0898d821"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='PQ'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='PQ'] komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='IVL_PQ'] komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='CV'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='CV'] komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='ST'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='ST'] komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='TS'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='TS'] komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value[@xsi:type='BL'])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value[@xsi:type='BL'] komt te vaak voor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='PQ']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='PQ']" id="tmp-02ea656d-4da0-4fb5-9749-2e408774e486"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'PQ' or datatype SHALL be 'PQ'</assert><extends rule="PQ"/><let name="theValue" value="@value"/><let name="digitok" value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="$digitok">(TMP 2.16.840.1.113883.2.4.6.10.70.6): @value is not a valid PQ number <value-of select="$theValue"/></assert><let name="theUnit" value="@unit"/><let name="UCUMtest" value="document('espoed-schematron-20120112T151209/espoed-runtime/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/><assert role="warning" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP 2.16.840.1.113883.2.4.6.10.70.6): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='IVL_PQ']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='IVL_PQ']" id="tmp-6e0436e5-1abd-445c-9a03-d281775a23be"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'IVL_PQ' or datatype SHALL be 'IVL_PQ'</assert><extends rule="IVL_PQ"/><let name="theValue" value="@value"/><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 2.16.840.1.113883.2.4.6.10.70.6): value.low @value is not a valid PQ number <value-of select="hl7:low/@value"/></assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 2.16.840.1.113883.2.4.6.10.70.6): value.high @value is not a valid PQ number <value-of select="hl7:high/@value"/></assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 2.16.840.1.113883.2.4.6.10.70.6): value.center @value is not a valid PQ number <value-of select="hl7:center/@value"/></assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='CV']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='CV']" id="tmp-6a71edc8-39be-4017-a680-3b91a2e2f581"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'CV' or datatype SHALL be 'CV'</assert><extends rule="CV"/><let name="theValue" value="@value"/><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.1045')">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.1045' zijn.</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='ST']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='ST']" id="tmp-5498f71b-724e-4d30-b979-04f2c860c418"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'ST' or datatype SHALL be 'ST'</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='TS']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='TS']" id="tmp-e77b504e-5a0f-4a08-839b-98dacc414bad"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'TS' or datatype SHALL be 'TS'</assert><extends rule="TS"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='BL']
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:value[@xsi:type='BL']" id="tmp-ea0fe400-fea5-422a-a342-cda52787a834"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'BL' or datatype SHALL be 'BL'</assert><extends rule="BL"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:interpretationCode
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:interpretationCode" id="tmp-b35d0e98-8fe8-4108-ac4a-ba8e772f42f2"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'CE' or datatype SHALL be 'CE'</assert><extends rule="CE"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('espoed-schematron-20120112T151209/espoed-runtime/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('espoed-schematron-20120112T151209/espoed-runtime/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @code MOET worden gekozen uit Value Set ObservationInterpretation Observation Interpretation DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:author
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:author" id="tmp-94364f6a-7e08-4362-bb90-8d585f5acbcf"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@typeCode='AUT' or not(@typeCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @typeCode MOET 'AUT' zijn.</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@contextControlCode='OP' or not(@contextControlCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @contextControlCode MOET 'OP' zijn.</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']] komt te vaak voor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:author/hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:performer
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:performer" id="tmp-e3e3ac20-1169-4f5a-a17e-a3a893fdccbc"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@typeCode='PRF' or not(@typeCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @typeCode MOET 'PRF' zijn.</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@contextControlCode='OP' or not(@contextControlCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @contextControlCode MOET 'OP' zijn.</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']])&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']] komt te vaak voor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:performer/hl7:assignedEntity1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange" id="tmp-7e433cf5-56a1-4d6c-95f6-b3db0f476d7d"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@typeCode='REFV' ">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @typeCode MOET 'REFV' zijn.</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@contextConductionInd='true' or not(@contextConductionInd)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): @contextConductionInd SHALL have value 'true' STATIC </assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange" id="tmp-09a6086f-b030-42d2-b2a5-bc29c813db22"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@classCode='OBS' or not(@classCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @classCode MOET 'OBS' zijn.</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@moodCode='EVN.CRT' or not(@moodCode)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @moodCode MOET 'EVN.CRT' zijn.</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:text)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:text komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:interpretationCode)&gt;=1 and not(hl7:interpretationCode/@nullFlavor)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:interpretationCode is mandatory [min 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:interpretationCode)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:interpretationCode komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value)&gt;=1 ">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value is required [min 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:value)&lt;=1">(TMP 2.16.840.1.113883.2.4.6.10.70.6): element hl7:value komt te vaak voor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:text
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:text" id="tmp-83b49326-1867-447f-832e-fcbdce8df730"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'ED' or datatype SHALL be 'ED'</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode
Item: (TMP 2.16.840.1.113883.2.4.6.10.70.6)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode" id="tmp-b3bb969d-77df-4c10-9cd3-12d9c2d90d48"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 2.16.840.1.113883.2.4.6.10.70.6): An @xsi:type instruction SHALL be present where the value is 'CE' or datatype SHALL be 'CE'</assert><extends rule="CE"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('espoed-schematron-20120112T151209/espoed-runtime/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('espoed-schematron-20120112T151209/espoed-runtime/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP 2.16.840.1.113883.2.4.6.10.70.6): De waarde van @code MOET worden gekozen uit Value Set ObservationInterpretation Observation Interpretation DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value
Item: espoed-obsrng
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value" id="tmp-7305af21-3606-4fe6-b56f-fb13e22aa59c"><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">espoed-obsrng: An @xsi:type instruction SHALL be present where the value is 'IVL_PQ' or datatype SHALL be 'IVL_PQ'</assert><extends rule="IVL_PQ"/><let name="theValue" value="@value"/><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">espoed-obsrng: value.low @value is not a valid PQ number <value-of select="hl7:low/@value"/></assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">espoed-obsrng: value.high @value is not a valid PQ number <value-of select="hl7:high/@value"/></assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">espoed-obsrng: value.center @value is not a valid PQ number <value-of select="hl7:center/@value"/></assert><assert role="error" test="hl7:low or hl7:high">espoed-obsrng: hl7:low or hl7:high elements (or both) mandatory</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:low)&lt;=1">espoed-obsrng: element hl7:low komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:high)&lt;=1">espoed-obsrng: element hl7:high komt te vaak voor [max 1x].</assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:center)=0">espoed-obsrng: element hl7:center MAY NOT be present </assert><assert role="error" see="espoed-html-20120112T151209/2.16.840.1.113883.2.4.6.10.70.6.html" test="count(hl7:width)=0">espoed-obsrng: element hl7:width MAY NOT be present </assert></rule>

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:low
Item: espoed-obsrng
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:high
Item: espoed-obsrng
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:center
Item: espoed-obsrng
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:width
Item: espoed-obsrng
-->
</pattern>